curl --request GET \
--url https://api.chainstack.com/v1/nodes/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v1/nodes/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v1/nodes/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ND-123-456-789",
"name": "My Ethereum archive node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.9.9",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}Retrieve a node with the Chainstack Platform API
Retrieve configuration, status, and endpoint details for a Chainstack node. Send a GET request to /v1/nodes// using the node’s unique identifier.
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
A unique value identifying the Object.
Response
Name of the node.
ID of the network.
ID of the organization that owns this node.
Type of the node.
Available types:
shared— only forethereum,polygon-pos,bsc,avalanche,fantom,tezos,bitcoindedicated— for all protocols
shared, dedicated Cloud provider.
See also Supported cloud providers.
aws, azure, gcloud, vzo Regions the nodes are deployed to.
Available for gcloud:
asia-southeast1
Available for aws:
ap-southeast-1us-west-2us-east-1
Available for azure:
uksouth
Available for vzo:
eu3
asia-southeast1, ap-southeast-1, us-west-2, us-east-1, uksouth, eu3 Protocol-specific attributes.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Creator of the network.
Show child attributes
Show child attributes
When the node was created.
Role of the node.
Available roles:
peer— peer node
peer Ethereum node configuration.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Was this page helpful?